Lister les connexions Git
curl --request GET \
--url https://api.devin.ai/v3/enterprise/git-providers/connections \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.devin.ai/v3/enterprise/git-providers/connections"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.devin.ai/v3/enterprise/git-providers/connections', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"created_at": 123,
"git_connection_id": "<string>",
"host": "<string>",
"name": "<string>"
}
],
"end_cursor": "<string>",
"has_next_page": false,
"total": 123
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}Connexions Git (Enterprise)
Lister les connexions Git
GET
/
v3
/
enterprise
/
git-providers
/
connections
Lister les connexions Git
Autorisations
ManageGitIntegrations au niveau Enterprise.Autorisations
Identifiant de compte de service (préfixe : cog_)
Réponse
Réponse réussie
Show child attributes
Show child attributes
Curseur permettant de récupérer la page suivante, ou None s’il s’agit de la dernière page.
Indique si d’autres éléments sont disponibles après cette page.
Nombre total facultatif (peut être omis pour améliorer les performances).
⌘I

